/*
    Title:    timer library
    Author:   Volker Oth
    Date:     5/1999
    Purpose:  starting 16 bit timer.
    needed
    Software: AVR-GCC to compile, AVA to assemble and link
    needed
    Hardware: ATS90S8515/4414/Mega on STK200/STK300 board
              LCD text display with 8bit microcontroller connection.
    Note:     To contact me, mail to
                  volkeroth(at)gmx.de
*/

#ifndef TIMER_H
#define TIMER_H

/* constants/macros */
#define F_CPU        4000000               /* 4MHz processor */

/* auto calculation doesn't work for prescalers /1 (1) and /8 (2) */
#define CYCLES_PER_US ((F_CPU+500000)/1000000) /* cpu cycles per microsecond */

/* prototypes */
void delay(u16 us);

#endif